OfxStatementRequest Class Reference

A statement request. More...

Inheritance diagram for OfxStatementRequest:

## Public Member Functions

| OfxStatementRequest (const OfxFiLogin &fi, const OfxAccountData &account, time_t from)
| OfxStatementRequest (const OfxFiLogin &fi, const OfxAccountData &account, time_t from)
| OfxStatementRequest (const OfxFiLogin &fi, const OfxAccountData &account, time_t from)

## Protected Member Functions

OfxAggregate | BankStatementRequest (void) const
OfxAggregate | CreditCardStatementRequest (void) const
OfxAggregate | InvestmentStatementRequest (void) const
OfxAggregate | BankStatementRequest (void) const
OfxAggregate | CreditCardStatementRequest (void) const
OfxAggregate | InvestmentStatementRequest (void) const
OfxAggregate | BankStatementRequest (void) const
OfxAggregate | CreditCardStatementRequest (void) const
OfxAggregate | InvestmentStatementRequest (void) const

## Detailed Description

A statement request.

This is an entire OFX aggregate, with all subordinate aggregates needed to log onto the OFX server of a single financial institution and download a statement for a single account.

Definition at line 37 of file lib/ofx_request_statement.hh.

## Constructor & Destructor Documentation

OfxStatementRequest::OfxStatementRequest | ( | const OfxFiLogin & | fi,
|  | const OfxAccountData & | account,
|  | time_t | from
| ) |  |

Creates the request aggregate to obtain a statement from this `fi` for this `account`, starting on this `start` date, ending today.

Parameters:

  fi | The information needed to log on user into one financial institution
  account | The account for which a statement is desired
  start | The beginning time of the statement period desired

Definition at line 45 of file lib/ofx_request_statement.cpp.

OfxStatementRequest::OfxStatementRequest | ( | const OfxFiLogin & | fi,
|  | const OfxAccountData & | account,
|  | time_t | from
| ) |  |

Creates the request aggregate to obtain a statement from this `fi` for this `account`, starting on this `start` date, ending today.

Parameters:

  fi | The information needed to log on user into one financial institution
  account | The account for which a statement is desired
  start | The beginning time of the statement period desired

OfxStatementRequest::OfxStatementRequest | ( | const OfxFiLogin & | fi,
|  | const OfxAccountData & | account,
|  | time_t | from
| ) |  |

Creates the request aggregate to obtain a statement from this `fi` for this `account`, starting on this `start` date, ending today.

Parameters:

  fi | The information needed to log on user into one financial institution
  account | The account for which a statement is desired
  start | The beginning time of the statement period desired

## Member Function Documentation

OfxAggregate OfxStatementRequest::BankStatementRequest | ( | void |  | ) | const`[protected]`

Creates a bank statement request aggregate, <BANKMSGSRQV1>, <STMTTRNRQ> & <STMTRQ> for this account. Should only be used if this account is a BANK account.

Returns:
  The request aggregate created

Definition at line 60 of file lib/ofx_request_statement.cpp.

Referenced by OfxStatementRequest().

OfxAggregate OfxStatementRequest::BankStatementRequest | ( | void |  | ) | const`[protected]`

Creates a bank statement request aggregate, <BANKMSGSRQV1>, <STMTTRNRQ> & <STMTRQ> for this account. Should only be used if this account is a BANK account.

Returns:
  The request aggregate created

OfxAggregate OfxStatementRequest::BankStatementRequest | ( | void |  | ) | const`[protected]`

Creates a bank statement request aggregate, <BANKMSGSRQV1>, <STMTTRNRQ> & <STMTRQ> for this account. Should only be used if this account is a BANK account.

Returns:
  The request aggregate created

OfxAggregate OfxStatementRequest::CreditCardStatementRequest | ( | void |  | ) | const`[protected]`

Creates a credit card statement request aggregate, <CREDITCARDMSGSRQV1>, <CCSTMTTRNRQ> & <CCSTMTRQ> for this account. Should only be used if this account is a CREDIT CARD account.

Returns:
  The request aggregate created

Definition at line 87 of file lib/ofx_request_statement.cpp.

Referenced by OfxStatementRequest().

OfxAggregate OfxStatementRequest::CreditCardStatementRequest | ( | void |  | ) | const`[protected]`

Creates a credit card statement request aggregate, <CREDITCARDMSGSRQV1>, <CCSTMTTRNRQ> & <CCSTMTRQ> for this account. Should only be used if this account is a CREDIT CARD account.

Returns:
  The request aggregate created

OfxAggregate OfxStatementRequest::CreditCardStatementRequest | ( | void |  | ) | const`[protected]`

Creates a credit card statement request aggregate, <CREDITCARDMSGSRQV1>, <CCSTMTTRNRQ> & <CCSTMTRQ> for this account. Should only be used if this account is a CREDIT CARD account.

Returns:
  The request aggregate created

OfxAggregate OfxStatementRequest::InvestmentStatementRequest | ( | void |  | ) | const`[protected]`

Creates an investment statement request aggregate, <INSTMTMSGSRQV1>, <INVSTMTTRNRQ> & <INVSTMTRQ> for this account. Should only be used if this account is an INVESTMENT account.

Returns:
  The request aggregate created

Definition at line 111 of file lib/ofx_request_statement.cpp.

Referenced by OfxStatementRequest().

OfxAggregate OfxStatementRequest::InvestmentStatementRequest | ( | void |  | ) | const`[protected]`

Creates an investment statement request aggregate, <INSTMTMSGSRQV1>, <INVSTMTTRNRQ> & <INVSTMTRQ> for this account. Should only be used if this account is an INVESTMENT account.

Returns:
  The request aggregate created

OfxAggregate OfxStatementRequest::InvestmentStatementRequest | ( | void |  | ) | const`[protected]`

Creates an investment statement request aggregate, <INSTMTMSGSRQV1>, <INVSTMTTRNRQ> & <INVSTMTRQ> for this account. Should only be used if this account is an INVESTMENT account.

Returns:
  The request aggregate created

The documentation for this class was generated from the following files:

- lib/ofx_request_statement.hh
- libofx-0.9.5/lib/ofx_request_statement.hh
- tar-pax-libofx/lib/ofx_request_statement.hh
- lib/ofx_request_statement.cpp
- libofx-0.9.5/lib/ofx_request_statement.cpp
- tar-pax-libofx/lib/ofx_request_statement.cpp